Personal computing discussed

Moderators: SecretSquirrel, notfred

 
klrcommute
Gerbil
Topic Author
Posts: 91
Joined: Sun Oct 11, 2015 1:20 pm

Broken CUPS, any insight?

Thu May 04, 2017 10:35 am

Recent CUPS or kernel update on Mint 18.1 wiped out my printer. Already reverted a couple kernel versions to no effect. Here's some of the stuff I'm coming up with in the terminal--but this is over my head.

sudo apt-get install cups
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
cups : Depends: libcups2 (= 2.1.3-4) but 2.1.3-4ubuntu0.2 is to be installed
Depends: cups-core-drivers (>= 2.1.3-4)
Depends: cups-daemon (>= 2.1.3-4)
E: Unable to correct problems, you have held broken packages.




And the following is what's popping up while attempting to reinstall my Brother printer drivers via bash script from the official site.

sudo bash a.1-1
Input model name ->HL-L2320D

You are going to install following packages.
hll2320dlpr-3.2.0-1.i386.deb
hll2320dcupswrapper-3.2.0-1.i386.deb
OK? [y/N] ->y

dpkg -x hll2320dlpr-3.2.0-1.i386.deb /
dpkg -x hll2320dcupswrapper-3.2.0-1.i386.deb /
(Reading database ... 807815 files and directories currently installed.)
Removing hll2320dcupswrapper:i386 (3.2.0-1) ...
lpadmin: Unable to connect to server: Bad file descriptor
Purging configuration files for hll2320dcupswrapper:i386 (3.2.0-1) ...
dpkg-deb: building package 'hll2320dlpr' in 'hll2320dlpr-3.2.0-1a.i386.deb'.
dpkg -b ./brother_driver_packdir hll2320dlpr-3.2.0-1a.i386.deb
dpkg-deb: building package 'hll2320dcupswrapper' in 'hll2320dcupswrapper-3.2.0-1a.i386.deb'.
dpkg -b ./brother_driver_packdir hll2320dcupswrapper-3.2.0-1a.i386.deb
dpkg -i --force-all hll2320dlpr-3.2.0-1a.i386.deb
(Reading database ... 807812 files and directories currently installed.)
Preparing to unpack hll2320dlpr-3.2.0-1a.i386.deb ...
Unpacking hll2320dlpr:i386 (3.2.0-1) over (3.2.0-1) ...
Setting up hll2320dlpr:i386 (3.2.0-1) ...
dpkg -i --force-all hll2320dcupswrapper-3.2.0-1a.i386.deb
Selecting previously unselected package hll2320dcupswrapper:i386.
(Reading database ... 807812 files and directories currently installed.)
Preparing to unpack hll2320dcupswrapper-3.2.0-1a.i386.deb ...
Unpacking hll2320dcupswrapper:i386 (3.2.0-1) ...
Setting up hll2320dcupswrapper:i386 (3.2.0-1) ...
lpinfo: Bad file descriptor
lpadmin -p HLL2320D -E -v usb://dev/usb/lp0 -P /usr/share/ppd/brother/brother-HLL2320D-cups-en.ppd
lpadmin: Unable to connect to server: Bad file descriptor


Printer is connected via USB and not on the network. Everything worked fine for a year or so having been installed with the official bash script until very recently, I'm just lost as to what exactly broke or how to correct it short of a fresh install. Any input's appreciated!
 
Chuckaluphagus
Silver subscriber
Gerbil Elite
Posts: 691
Joined: Fri Aug 25, 2006 4:29 pm
Location: Boston area, MA

Re: Broken CUPS, any insight?

Thu May 04, 2017 10:45 am

I ran into this last month. Apparently a CUPS package was pushed out while broken and then pulled almost immediately. If you installed it, though, it's breaking the update path. Solution is simply to downgrade packages for now, these instructions worked for me.
 
klrcommute
Gerbil
Topic Author
Posts: 91
Joined: Sun Oct 11, 2015 1:20 pm

Re: Broken CUPS, any insight?

Thu May 04, 2017 10:55 am

Thanks,

I also just tried chasing down libcups2, et al. in package manager and removing/reinstalling from there. We'll see if it does the trick, gonna bookmark your link though.

Who is online

Users browsing this forum: No registered users and 5 guests